org.apache.xmlbeans.impl.xb.xsdschema

## Interface GroupRef

- All Superinterfaces:
    Annotated, Group, OpenAttrs, RealGroup, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    GroupRefImpl

      public interface GroupRef
      extends RealGroup

  An XML groupRef(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<GroupRef>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getRef()` Gets the "ref" attribute
    `boolean` | `isSetRef()` True if has "ref" attribute
    `void` | `setRef(QName ref)` Sets the "ref" attribute
    `void` | `unsetRef()` Unsets the "ref" attribute
    `XmlQName` | `xgetRef()` Gets (as xml) the "ref" attribute
    `void` | `xsetRef(XmlQName ref)` Sets (as xml) the "ref" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RealGroup

      `addNewAll, addNewChoice, addNewSequence, getAllArray, getAllArray, getAllList, getChoiceArray, getChoiceArray, getChoiceList, getSequenceArray, getSequenceArray, getSequenceList, insertNewAll, insertNewChoice, insertNewSequence, removeAll, removeChoice, removeSequence, setAllArray, setAllArray, setChoiceArray, setChoiceArray, setSequenceArray, setSequenceArray, sizeOfAllArray, sizeOfChoiceArray, sizeOfSequenceArray`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getName, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetName, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setName, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetName, xgetMaxOccurs, xgetMinOccurs, xgetName, xsetMaxOccurs, xsetMinOccurs, xsetName`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<GroupRef> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getRef

          QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `Group`

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `Group`

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `Group`

    - #### setRef

          void setRef(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `Group`

    - #### xsetRef

          void xsetRef(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `Group`

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `Group`